# EarthDataLab.jl

*A package to explore and analyze the Earth System Data Cube*


## The ESDL Data Cube

![The ESDL data cube](http://earthsystemdatacube.net/wp-content/uploads/2015/07/EarthDataCube3.png)

The Earth System data cube is a collection of land surface and atmospheric Earth observation data sets on a common spatial resolution
of 0.0833° x 0.0833° and a common temporal resolution of 8 days in the time range from 2001 to 2011. See the [Product Handbook](http://esdl.readthedocs.io/en/latest/index.html)
for more information.

## Example Jupyter Notebooks

You can find some example Jupyter Notebooks using *ESDL.jl* [here](https://github.com/juliadatacubes/esdl-shared/tree/master/notebooks)

## Manual Outline

```@contents
Pages = [
    "cube_access.md",
    "analysis.md",
    "iotools.md",
]
Depth = 3
```

## Acknowledgements

The development of this package was funded by ESA STSE and implemented by
the Max-Planck-Institute for Biogeochemistry.